Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryInteraction

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryInteraction

Enclosing class:
  TdApi

public static final class TdApi.StoryInteraction extends TdApi.Object
Represents interaction with a story.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.MessageSender`
`actorId`
Identifier of the user or chat that made the interaction.
`TdApi.BlockList`
`blockList`
Block list to which the actor is added; may be null if none or for chat stories.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`interactionDate`
Approximate point in time (Unix timestamp) when the interaction happened.
`TdApi.StoryInteractionType`
`type`
Type of the interaction.

## Constructor Summary

Constructors
Constructor
Description
`StoryInteraction()`
Represents interaction with a story.
`StoryInteraction(TdApi.MessageSender actorId, int interactionDate, TdApi.BlockList blockList, TdApi.StoryInteractionType type)`
Represents interaction with a story.
`StoryInteraction(DataInput input)`
Represents interaction with a story.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### actorId

public TdApi.MessageSender actorId
Identifier of the user or chat that made the interaction.

### interactionDate

public int interactionDate
Approximate point in time (Unix timestamp) when the interaction happened.

### blockList

public TdApi.BlockList blockList
Block list to which the actor is added; may be null if none or for chat stories.

### type

public TdApi.StoryInteractionType type
Type of the interaction.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### StoryInteraction

public StoryInteraction()
Represents interaction with a story.

### StoryInteraction

public StoryInteraction(TdApi.MessageSender actorId, int interactionDate, TdApi.BlockList blockList, TdApi.StoryInteractionType type)
Represents interaction with a story.

Parameters:
  `actorId` - Identifier of the user or chat that made the interaction.
  `interactionDate` - Approximate point in time (Unix timestamp) when the interaction happened.
  `blockList` - Block list to which the actor is added; may be null if none or for chat stories.
  `type` - Type of the interaction.

### StoryInteraction

public StoryInteraction(DataInput input) throws IOException
Represents interaction with a story.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`